Summary:	MATE media programs
Summary(pl.UTF-8):	Programy multimedialne dla środowiska MATE
Name:		mate-media
Version:	1.18.2
Release:	1
License:	GPL v2+ (volume control, sound theme), FDL (documentation)
Group:		X11/Applications/Multimedia
Source0:	http://pub.mate-desktop.org/releases/1.18/%{name}-%{version}.tar.xz
# Source0-md5:	c65e21cc281a93a2f3bcf895db6939b3
URL:		https://github.com/mate-desktop/mate-media
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake >= 1:1.9
BuildRequires:	desktop-file-utils
BuildRequires:	docbook-dtd412-xml
BuildRequires:	gettext-tools
BuildRequires:	glib2-devel >= 1:2.36.0
BuildRequires:	gtk+3-devel >= 3.14
BuildRequires:	intltool >= 0.35.0
BuildRequires:	libcanberra-devel >= 0.13
BuildRequires:	libcanberra-gtk3-devel >= 0.13
BuildRequires:	libmatemixer-devel >= 1.10.0
BuildRequires:	libtool >= 1:1.4.3
BuildRequires:	libxml2-devel >= 2.0
BuildRequires:	mate-common >= 1.2.1
BuildRequires:	mate-desktop-devel >= 1.17.0
BuildRequires:	rpmbuild(find_lang) >= 1.36
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRequires:	yelp-tools
Requires:	desktop-file-utils
Requires:	glib2 >= 1:2.36.0
Requires:	gtk+3 >= 3.14
Requires:	libcanberra >= 0.13
Requires:	libcanberra-gtk3 >= 0.13
Requires:	libmatemixer >= 1.10.0
Requires:	mate-desktop-libs >= 1.17.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package contains a few media utilities for the MATE desktop,
including a volume control.

%description -l pl.UTF-8
Ten pakiet zawiera kilka narzędzi multimedialnych dla środowiska MATE,
w tym do sterowania głośnością dźwięku.

%prep
%setup -q

%build
%{__intltoolize}
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-schemas-compile \
	--disable-silent-rules \
	--disable-static \
	--with-gnu-ld

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/{frp,jv,ku_IQ,pms}

desktop-file-install \
	--remove-category="MATE" \
	--add-category="X-Mate" \
	--delete-original \
	--dir=$RPM_BUILD_ROOT%{_desktopdir} \
	$RPM_BUILD_ROOT%{_desktopdir}/mate-volume-control.desktop

%find_lang %{name} --with-mate --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_desktop_database

%postun
%update_desktop_database

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/mate-volume-control
%attr(755,root,root) %{_bindir}/mate-volume-control-applet
/etc/xdg/autostart/mate-volume-control-applet.desktop
%{_datadir}/mate-media
%{_datadir}/sounds/mate
%{_desktopdir}/mate-volume-control.desktop
%{_mandir}/man1/mate-volume-control.1*
%{_mandir}/man1/mate-volume-control-applet.1*
%changelog
* Mon Nov 06 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/mate-media.git;a=log;h=master

* Mon Nov 06 2017 Jan Palus <atler@pld-linux.org> cdcc947
- up to 1.18.2

* Sat Jun 17 2017 Jan Palus <atler@pld-linux.org> 9f56b41
- up to 1.18.1

* Wed Mar 15 2017 Jan Palus <atler@pld-linux.org> a54d917
- up to 1.18.0

* Thu Sep 22 2016 Jan Palus <atler@pld-linux.org> e1bb132
- up to 1.16.0

* Sat Aug 13 2016 Jan Palus <atler@pld-linux.org> 43de51e
- up to 1.14.1

* Sat Apr 09 2016 Jan Palus <atler@pld-linux.org> 2efada6
- up to 1.14.0

* Mon Nov 30 2015 Jan Palus <atler@pld-linux.org> d952e37
- up to 1.12.1

* Thu Nov 05 2015 Jan Palus <atler@pld-linux.org> 9dfc8f1
- up to 1.12.0

* Thu May 14 2015 Jakub Bogusz <qboosh@pld-linux.org> b0017e3
- updated to 1.10.0 (1.8.x left on MATE-1.8 branch)
- removed uidir patch (panel applet has been dropped)

* Tue Mar 03 2015 Elan Ruusamäe <glen@delfi.ee> a6edba5
- x32 rebuild
- release 4 (by relup.sh)

* Wed Jul 09 2014 Jakub Bogusz <qboosh@pld-linux.org> 8ada686
- cmn locale is supported now
- cleaned up scrollkeeper leftovers
- added gtk3 bcond
- only gst-mixer (and gst-mixer-applet) is configurable, gst recorder is always built

* Thu Apr 24 2014 Elan Ruusamäe <glen@delfi.ee> 44a0d47
- fix without gst build

* Thu Apr 24 2014 Elan Ruusamäe <glen@delfi.ee> 7b8890c
- disable gst as it breaks audio unmute

* Sun Mar 09 2014 Jan Palus <jan.palus@gmail.com> 6382724
- remove mate-doc-utils invocation

* Sun Mar 09 2014 Jan Palus <jan.palus@gmail.com> d183582
- up to 1.8.0

* Sat Mar 01 2014 Elan Ruusamäe <glen@delfi.ee> 0f60bbe
- require gstreamer0.10-audiosink-alsa for mixer to work

* Thu Jan 02 2014 Jakub Bogusz <qboosh@pld-linux.org> a6c69fd
- updated to 1.6.1

* Wed Jan 01 2014 Elan Ruusamäe <glen@delfi.ee> 4c22ce1
- release 2 (by relup.sh)

* Wed Jan 01 2014 Jakub Bogusz <qboosh@pld-linux.org> c236a4e
- pl, completed dependencies

* Thu Apr 04 2013 Elan Ruusamäe <glen@delfi.ee> 51613c1
- up to 1.6.0

